[bug#33790] gnu: Add emacs-wordnut.

Message ID 20181218122416.19666-1-m.othacehe@gmail.com
State New
Headers show
Series
  • [bug#33790] gnu: Add emacs-wordnut.
Related show

Checks

Context Check Description
cbaines/applying patch fail Apply failed

Commit Message

Mathieu Othacehe Dec. 18, 2018, 12:24 p.m. UTC
* gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch: New file.
* gnu/local.mk (dist_patch_DATA): Add previous file.
* gnu/packages/emacs.scm (emacs-wordnut): New package.
---
 gnu/local.mk                                  |  1 +
 gnu/packages/emacs.scm                        | 26 +++++++++++++++++++
 .../emacs-wordnut-require-adaptive-wrap.patch | 19 ++++++++++++++
 3 files changed, 46 insertions(+)
 create mode 100644 gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch

Comments

Ludovic Courtès Dec. 19, 2018, 9:35 p.m. UTC | #1
Hi!

Mathieu Othacehe <m.othacehe@gmail.com> skribis:

> * gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Add previous file.
> * gnu/packages/emacs.scm (emacs-wordnut): New package.

[...]

> +      (synopsis "Major mode for WordNet")
> +      (description "This Emacs package provides an interface for
> +@code{wordnut}.  Features include completion, if the query is not found
        ^^
It’s an interface to WordNet, not to wordnut.

> +++ b/gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch
> @@ -0,0 +1,19 @@
> +Copyright © 2018 Mathieu Othacehe <m.othacehe@gmail.com>
> +
> +This patch forces the use of adaptive-wrap.

Could you add a link to the upstream issue, if any?

Otherwise LGTM, thanks!

Ludo’.
Mathieu Othacehe Dec. 21, 2018, 9:55 a.m. UTC | #2
Hey!

> Could you add a link to the upstream issue, if any?
>
> Otherwise LGTM, thanks!

I fixed both issues and pushed as
4b33a74138740101042c31bef304b8ba35e81126.

Thanks for reviewing :)

Mathieu

Patch

diff --git a/gnu/local.mk b/gnu/local.mk
index 0d60e9b75..cdc1df0c5 100644
--- a/gnu/local.mk
+++ b/gnu/local.mk
@@ -674,6 +674,7 @@  dist_patch_DATA =						\
   %D%/packages/patches/emacs-scheme-complete-scheme-r5rs-info.patch	\
   %D%/packages/patches/emacs-source-date-epoch.patch		\
   %D%/packages/patches/emacs-realgud-fix-configure-ac.patch	\
+  %D%/packages/patches/emacs-wordnut-require-adaptive-wrap.patch	\
   %D%/packages/patches/enlightenment-fix-setuid-path.patch	\
   %D%/packages/patches/erlang-man-path.patch			\
   %D%/packages/patches/eudev-rules-directory.patch		\
diff --git a/gnu/packages/emacs.scm b/gnu/packages/emacs.scm
index e9ba0f917..fd85b57cf 100644
--- a/gnu/packages/emacs.scm
+++ b/gnu/packages/emacs.scm
@@ -12828,3 +12828,29 @@  testing Emacs Lisp code.  It allows to group related tests so they can share
 common set-up and tear-down code, and allows the programmer to \"spy\" on
 functions to ensure they are called with the right arguments during testing.")
     (license license:gpl3+)))
+
+(define-public emacs-wordnut
+  (let ((commit "feac531404041855312c1a046bde7ea18c674915")
+        (revision "0"))
+    (package
+      (name "emacs-wordnut")
+      (version (git-version "0.1" revision commit))
+      (home-page "https://github.com/gromnitsky/wordnut")
+      (source (origin
+                (method git-fetch)
+                (uri (git-reference (url home-page) (commit commit)))
+                (sha256
+                 (base32
+                  "1jl0b6g64a9w0q7bfvwha67vgws5xd15b7mkfyb5gkz3pymqhfxn"))
+                (patches
+                 (search-patches "emacs-wordnut-require-adaptive-wrap.patch"))
+                (file-name (git-file-name name version))))
+      (build-system emacs-build-system)
+      (propagated-inputs
+       `(("wordnet" ,wordnet)
+         ("emacs-adaptive-wrap" ,emacs-adaptive-wrap)))
+      (synopsis "Major mode for WordNet")
+      (description "This Emacs package provides an interface for
+@code{wordnut}.  Features include completion, if the query is not found
+too ambiguous and navigation in the result buffer.")
+      (license license:gpl3+))))
diff --git a/gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch b/gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch
new file mode 100644
index 000000000..9984f1030
--- /dev/null
+++ b/gnu/packages/patches/emacs-wordnut-require-adaptive-wrap.patch
@@ -0,0 +1,19 @@ 
+Copyright © 2018 Mathieu Othacehe <m.othacehe@gmail.com>
+
+This patch forces the use of adaptive-wrap.
+
+diff --git a/wordnut.el b/wordnut.el
+index 0ae86ad..72f9221 100644
+--- a/wordnut.el
++++ b/wordnut.el
+@@ -4,6 +4,7 @@
+ (require 'subr-x)
+ (require 'outline)
+ (require 'imenu)
++(require 'adaptive-wrap)
+ 
+ (require 'wordnut-history)
+ 
+-- 
+2.17.1
+